<?php
include_once $_SERVER['DOCUMENT_ROOT'].'/config/config.php';          // MMDVMDash Config
include_once $_SERVER['DOCUMENT_ROOT'].'/mmdvmhost/tools.php';        // MMDVMDash Tools
include_once $_SERVER['DOCUMENT_ROOT'].'/mmdvmhost/functions.php';    // MMDVMDash Functions
include_once $_SERVER['DOCUMENT_ROOT'].'/config/language.php';	      // Translation Code
$i = 0;
$LHlistNET = "";
$LHlistLOC = "";
for ($i = 0;  ($i <= 9); $i++) { // Last 15 calls
    if (isset($lastHeard[$i])) {

        // Last heard list Network received
        $listElem = $lastHeard[$i];
		// set-timezone Asia/Bangkok
		$utc_time = $listElem[0];
        $utc_tz =  new DateTimeZone('UTC');
        $local_tz = new DateTimeZone(date_default_timezone_get ());
        $dt = new DateTime($utc_time, $utc_tz);
        $dt->setTimeZone($local_tz);
        $local_time = $dt->format('H:i:s');
        $listElem[0] = $local_time;
        // set-timezone Asia/Bangkok
		$LHlistNET .= substr(" ".str_pad($listElem[0], 9), 0, 9)." ";
/////////////////
		if ($listElem[1] == "DMR Slot 1") {
            $LHlistNET .= "DMR-s1 ";
	    } else if ($listElem[1] == "DMR Slot 2") {
            $LHlistNET .= "DMR-s2 ";
        } else {
            $LHlistNET .= substr(str_pad($listElem[1], 6), 0, 6)." ";
        }
		$LHlistNET .= substr(str_pad($listElem[2], 6), 0, 6)." ";
        $LHlistNET .= substr(str_pad($listElem[4], 9), 0, 9)." ";
        if ($listElem[6] == null) {
            $LHlistNET .= "  TX  ";
        } else if ($listElem[6] == "SMS") {
            $LHlistNET .= "  SMS ";
        } else {
            $LHlistNET .= str_pad($listElem[6], 5, " ", STR_PAD_LEFT)." ";
        }
        $LHlistNET .= str_pad($listElem[7], 3," ", STR_PAD_LEFT)." ";
        $LHlistNET .= str_pad($listElem[8], 5," ", STR_PAD_LEFT)." ";
		if ($listElem[5] == "Net") {
            $LHlistNET .= "N ";
        } else if ($listElem[5] == "RF") {
            $LHlistNET .= "R ";
        } else {
        $LHlistNET .= str_pad($listElem[5], 2)." ";
        }
		//////////////////
        //$LHlistNET .= substr(str_pad($listElem[1], 10), 0, 10)." ";
        // Last heard list RF received
        if ($listElem[5] == "RF" && ($listElem[1] == "D-Star" || startsWith($listElem[1], "DMR") || $listElem[1] == "YSF" || $listElem[1]== "P25" || $listElem[1]== "NXDN")) {
            $LHlistLOC .= substr(str_pad($listElem[1], 11), 0, 11)."|";
            $LHlistLOC .= substr(str_pad($listElem[2], 10), 0, 10)."|";
            $LHlistLOC .= substr(str_pad($listElem[4], 9), 0 , 9)."|";
//            if ($listElem[5] == "Net") {
//                $LHlistLOC .= "RF |";
//            } else {
//                $LHlistLOC .= str_pad($listElem[5], 3)."|";
//            }
            if ($listElem[6] == null) {
                $LHlistLOC .= "TX   |";
            } else if ($listElem[6] == "SMS") {
                $LHlistLOC .= "SMS  |";
            } else {
                $LHlistLOC .= str_pad($listElem[6], 5, " ", STR_PAD_LEFT)."|";
            }
            $LHlistLOC .= str_pad($listElem[8], 5," ", STR_PAD_LEFT)."|";
            $LHlistLOC .= $listElem[9];
        }
    }
}
if (isset($_GET["from"])) {
   if ($_GET["from"] == "NET") {
      echo $LHlistNET;
   } else if ($_GET["from"] == "LOC") {
      echo $LHlistLOC;
   }
} else {
   echo "There is no last heard data"; // Fallback behaviour goes here
}
?>
